Subject: bash-2.05-1: "pwd" broken?
From: "Ulrich Jakobus" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Sat, 21 Apr 2001 18:02:51 +0200

Hello,

I just upgraded from bash-2.04-7a to bash-2.05-1. The built-in
command "pwd" seems to be broken now for directories starting
with "/cygdrive". Using mounted directories (e.g. "/usr/local/")
or also the notation "//c" seems to work. 

Example:

  bash-2.05$ cd /cygdrive/c
  bash-2.05$ mkdir x
  bash-2.05$ cd x
  bash-2.05$ mkdir y
  bash-2.05$ cd y
  bash-2.05$ pwd
  /cygdrive/c/x/y               <-- correct
  bash-2.05$ cd ../..
  bash-2.05$ pwd
  /cygdrive/c/x/y/../..         <-- wrong (well, formally correct)
  bash-2.05$ cd x/y
  bash-2.05$ pwd
  /cygdrive/c/x/y/../../x/y     <-- wrong

Note that /usr/bin/pwd (GNU shutils 2.0) reports the correct 
path (continuation from example above):

  bash-2.05$ /usr/bin/pwd
  /cygdrive/c/x/y

I don't have the time unfortunately now to look at the bash source
myself. I hope that just pointing out the problem might be useful
already, without a specific patch.

Thanks,

Ulrich Jakobus

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple